Merge /home/users/nico/cLinux/scripts/dev-scripts

This commit is contained in:
Nico Schottelius 2009-12-29 18:30:03 +01:00
commit bbe2501cf7
6 changed files with 112 additions and 0 deletions

View file

@ -0,0 +1 @@
Miscellaneous scripts used for development

13
build-autoconf.sh Executable file
View file

@ -0,0 +1,13 @@
#!/bin/sh
#
# Nico Schottelius <nico-linux@schottelius.org>
# Date: 17-Sep-2005
# Last Modified: -
#
[ $# -eq 1 ] || exit 23
PACKAGE=$1; shift
PREFIX=/usr/packages/$PACKAGE
./configure --prefix=$PREfIX $@ && make

13
build-make+prefix.sh Executable file
View file

@ -0,0 +1,13 @@
#!/bin/sh
#
# Nico Schottelius <nico-linux@schottelius.org>
# Date: 17-Sep-2005
# Last Modified: -
#
[ $# -eq 1 ] || exit 23
PACKAGE=$1; shift
PREFIX=/usr/packages/$PACKAGE
make prefix=$PREFIX

14
compile.package Normal file
View file

@ -0,0 +1,14 @@
#!/bin/sh
# cLinux
# Nico Schottelius (nico-linux@schottelius.org)
# 2005-03-27
# build a standard package
[ $# -ne 1 ] && exit 1
PRE_PREFIX=/usr/packages
PKGDL=$1
PREFIX=${PRE_PREFIX}/${PKGDL}
./configure "--prefix=${PREFIX}"

12
git-snapshot.sh Executable file
View file

@ -0,0 +1,12 @@
#!/bin/sh
# Nico Schottelius
# Date: Di Okt 18 00:02:17 CEST 2005
# Last Changed: -
GIT_DIR=~/git/cinit
OUTPUT=/home/user/nico/www/org/schottelius/linux/cinit/archives/cinit-snapshot.tar.bz2
set -e
cd "$GIT_DIR"
git-tar-tree $(git-log | head -n1 | awk '{ print $2 }') | bzip2 -9 -c > "$OUTPUT"

59
update-git+cogito.sh Executable file
View file

@ -0,0 +1,59 @@
#!/bin/sh
# Nico Schottelius
# Date: Mit Nov 9 12:57:04 CET 2005
# Last Modified: Thu Nov 10 12:53:00 CET 2005
#
# Install latest git and cogito to $INSTALL_PREFIX/$name and
# link the binaries to $BINDIR
# Needs git and cogito to work!
# And:
# - libexpat-dev
# - libcurl3-dev
# - libssl-dev
# - libz-dev
BASE_GET=http://www.kernel.org/pub/scm/
PROJECTS="git/git.git cogito/cogito.git"
BUILDDIR=/home/user/nico/build
INSTALL_PREFIX=/usr/packages
BINDIR=/usr/local/bin
error_in()
{
echo "[failed] $1"
echo "Exiting now."
exit 1
}
for project in $PROJECTS; do
realname=$(echo $project | sed -e 's,.*/,,' -e 's/\.git$//')
echo "Working on $realname (in $BUILDDIR/$realname) ... "
if [ ! -d "$BUILDDIR/$realname" ]; then
echo "Cloning $realname"
cg-clone "${BASE_GET}${project}" "$BUILDDIR/$realname"
else
echo "Updating $realname from \"origin\""
cd "$BUILDDIR/$realname" || error_in "$BUILDDIR/$realname"
cg-update origin
fi
if [ $? -ne 0 ]; then
echo "Pull or clone failed, ABORTING."
exit 23
fi
cd "$BUILDDIR/$realname"
version=$(cg-object-id)
echo "Installing $realname (Version: $version)"
DDIR=$INSTALL_PREFIX/$realname-$version
make clean || error_in "Cleaning $realname"
make "prefix=$DDIR" all || error_in "Building $realname"
make "prefix=$DDIR" install || error_in "Installing $realname"
echo "Linking files to $BINDIR ..."
for file in "$DDIR/bin/"*; do
ln -sf $file "$BINDIR" || error_in "Linking $file"
done
done